.PHONY:all
all:gobang #test

test:test.cc logger.hpp util.hpp db.hpp online.hpp room.hpp session.hpp matcher.hpp
	g++ -o $@ $^ -std=c++11 -lmysqlclient  -L/usr/lib64/mysql/ -ljsoncpp -lpthread -lboost_system

gobang:main.cc server.hpp
	g++ -o $@ $^ -g -std=c++11 -lmysqlclient  -L/usr/lib64/mysql/ -ljsoncpp -lpthread -lboost_system

.PHONY:clean
clean:
	rm -f gobang